summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2019-02-01 10:00:41 +0000
committer Eric Hameleers <alien@slackware.com>2019-02-01 10:00:41 +0000
commit0c5ae87a45edb4695ee2a0f9df4dbe9954ddbc72 (patch)
tree32e03cc0237382e2245d0ed55ac50888933a4bf1
parentc7a0f5bf786696fd489967ce03a25a2ee41da416 (diff)
downloadmultilib-0c5ae87a45edb4695ee2a0f9df4dbe9954ddbc72.tar.gz
multilib-0c5ae87a45edb4695ee2a0f9df4dbe9954ddbc72.tar.xz
glibc-multilib: updated to 2.29
-rwxr-xr-xsource/current/glibc/glibc-multilib.SlackBuild11
1 files changed, 4 insertions, 7 deletions
diff --git a/source/current/glibc/glibc-multilib.SlackBuild b/source/current/glibc/glibc-multilib.SlackBuild
index 08b4094..134a49e 100755
--- a/source/current/glibc/glibc-multilib.SlackBuild
+++ b/source/current/glibc/glibc-multilib.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -30,9 +30,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=glibc
-VERSION=${VERSION:-2.28}
+VERSION=${VERSION:-2.29}
CHECKOUT=${CHECKOUT:-""}
-BUILD=${BUILD:-2alien}
+BUILD=${BUILD:-1alien}
# I was considering disabling NSCD, but MoZes talked me out of it. :)
#DISABLE_NSCD=" --disable-nscd "
@@ -162,9 +162,6 @@ fix_doinst() {
# This is a patch function to put all glibc patches in the build script
# up near the top.
apply_patches() {
- # Use old-style locale directories rather than a single (and strangely
- # formatted) /usr/lib/locale/locale-archive file:
- zcat $CWD/glibc.locale.no-archive.diff.gz | patch -p1 --verbose || exit 1
# Support ru_RU.CP1251 locale:
zcat $CWD/glibc.ru_RU.CP1251.diff.gz | patch -p1 --verbose || exit 1
# Add a C.UTF-8 locale:
@@ -268,7 +265,7 @@ build_glibc() {
make $NUMJOBS || exit 1
make install install_root=$PKG || exit 1
- make localedata/install-locales install_root=$PKG || exit 1
+ make localedata/install-locale-files DESTDIR=$PKG || exit 1
}
# Build the 32-bit binaries first,